# Gets list of accounts for USDC
curl --compressed "https://api.coinmetrics.io/v4/blockchain-v2/usdc/accounts?pretty=true&api_key=<your_key>"{
"data": [
{
"account": "112jmDkNGHSbhhY17JGpxU3sMA9ZExG7b2",
"type": "UTXO",
"balance": "0.0000583",
"n_debits": "3",
"n_credits": "4",
"creation_height": "470920",
"creation_block_hash": "0000000000000000002c7505ef2272e0677fa53d68d633f8e076ed42dd3380e6",
"creation_time": "2017-06-12T06:50:36.000000000Z",
"creation_chain_sequence_number": "2022585999040108",
"last_chain_sequence_number": "2054987232324222",
"last_debit_height": "474496",
"last_credit_height": "478464"
},
{
"account": "112dtXeVfH3QgRJJwCiQe1FuRAKBqWfY3U",
"type": "UTXO",
"balance": "0",
"n_debits": "6",
"n_credits": "6",
"creation_height": "480777",
"creation_block_hash": "0000000000000000000e7d28b7c2a37e42278e5d34c8a64a05d227e3608feac8",
"creation_time": "2017-08-16T12:34:59.000000000Z",
"creation_chain_sequence_number": "2064921491679245",
"last_chain_sequence_number": "2207213758185607",
"last_debit_height": "513907",
"last_credit_height": "513892"
}
],
"next_page_token": "MzA1MDYxMjE5MTE1MDIxNXxiYzFxeDlydnhzZTU2M3NsdTRuM3gzNHFkY3RzYWFxa21wbnNmN240MDM",
"next_page_url": "https://api.coinmetrics.io/v4/blockchain-v2/btc/accounts?api_key=<your_key>&pretty=true&page_size=10000&next_page_token=MzA1MDYxMjE5MTE1MDIxNXxiYzFxeDlydnhzZTU2M3NsdTRuM3gzNHFkY3RzYWFxa21wbnNmN240MDM"
}List of accounts
Returns a list of blockchain accounts with their current balance.
For rebasing assets, the balances returned are adjusted according to the current rebasing conditions.
Results are ordered by tuple (creation_chain_sequence_number, account).
To fetch the next page of results use next_page_url JSON response field.
# Gets list of accounts for USDC
curl --compressed "https://api.coinmetrics.io/v4/blockchain-v2/usdc/accounts?pretty=true&api_key=<your_key>"{
"data": [
{
"account": "112jmDkNGHSbhhY17JGpxU3sMA9ZExG7b2",
"type": "UTXO",
"balance": "0.0000583",
"n_debits": "3",
"n_credits": "4",
"creation_height": "470920",
"creation_block_hash": "0000000000000000002c7505ef2272e0677fa53d68d633f8e076ed42dd3380e6",
"creation_time": "2017-06-12T06:50:36.000000000Z",
"creation_chain_sequence_number": "2022585999040108",
"last_chain_sequence_number": "2054987232324222",
"last_debit_height": "474496",
"last_credit_height": "478464"
},
{
"account": "112dtXeVfH3QgRJJwCiQe1FuRAKBqWfY3U",
"type": "UTXO",
"balance": "0",
"n_debits": "6",
"n_credits": "6",
"creation_height": "480777",
"creation_block_hash": "0000000000000000000e7d28b7c2a37e42278e5d34c8a64a05d227e3608feac8",
"creation_time": "2017-08-16T12:34:59.000000000Z",
"creation_chain_sequence_number": "2064921491679245",
"last_chain_sequence_number": "2207213758185607",
"last_debit_height": "513907",
"last_credit_height": "513892"
}
],
"next_page_token": "MzA1MDYxMjE5MTE1MDIxNXxiYzFxeDlydnhzZTU2M3NsdTRuM3gzNHFkY3RzYWFxa21wbnNmN240MDM",
"next_page_url": "https://api.coinmetrics.io/v4/blockchain-v2/btc/accounts?api_key=<your_key>&pretty=true&page_size=10000&next_page_token=MzA1MDYxMjE5MTE1MDIxNXxiYzFxeDlydnhzZTU2M3NsdTRuM3gzNHFkY3RzYWFxa21wbnNmN240MDM"
}Authorizations
Query Parameters
Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default. Mutually exclusive with start_height.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.
This parameter is disabled for Community users.
End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default. Mutually exclusive with end_height.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.
This parameter is disabled for Community users.
Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.
"America/New_York"

